///////////////////////////////////////////////////////////////////////////////////

#property indicator_chart_window

#include <WinUser32.mqh>

int init() {

  return (0);
}

int deinit() {

  return (0);
}

int start() {

  int start_bar, bar;
  static int total_bars = 0;
  static datetime first_bar_time = 0;

  if ((total_bars == 0) || (Time[Bars-1] != first_bar_time)) {
    start_bar = Bars-1;
    first_bar_time = Time[Bars-1];
  }
  else {
    start_bar = Bars - total_bars;
  }
  
  Print("****************************************************************");
  
  Print("Bars="+Bars+" total="+total_bars+" start_bar="+start_bar);

  for (bar = start_bar; bar >= 0; bar--) {
    if (bar > 9) continue;
    Print("bar="+bar+" time="+TimeToStr(Time[bar], TIME_DATE|TIME_SECONDS)+" ask="+Ask+" bid="+Bid+" open="+Open[bar]+" high="+High[bar]+" low="+Low[bar]+" close="+Close[bar]);
  }

  if (Bars != total_bars) {
    total_bars = Bars;
  }

  return(0);
}
///////////////////////////////////////////////////////////////////////////////////